Module javafx.media
Package javafx.scene.media

# Class MediaErrorEvent

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.media.MediaErrorEvent

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class MediaErrorEvent extends Event
An `Event` representing the occurrence of an error in handling media.

Since:
  JavaFX 2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EventType<MediaErrorEvent>`
`MEDIA_ERROR`
The only valid event type for the `MediaErrorEvent`.

### Fields inherited from class javafx.event.Event

`ANY, consumed, eventType, NULL_SOURCE_TARGET, target`

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`MediaErrorEvent`
`copyFor(Object newSource, EventTarget newTarget)`
Creates and returns a copy of this event with the specified event source and target.
`EventType<MediaErrorEvent>`
`getEventType()`
Gets the event type of this event.
`MediaException`
`getMediaError()`
Retrieve the error associated with this event.
`String`
`toString()`
Retrieve a `String` representation of the event.

### Methods inherited from class javafx.event.Event

`clone, consume, fireEvent, getTarget, isConsumed`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MEDIA_ERROR

public static final EventType<MediaErrorEvent> MEDIA_ERROR
The only valid event type for the `MediaErrorEvent`.

## Method Details

### getMediaError

public MediaException getMediaError()
Retrieve the error associated with this event.

Returns:
  The `MediaException`

### toString

public String toString()
Retrieve a `String` representation of the event.

Overrides:
  `toString` in class `EventObject`

### copyFor

public MediaErrorEvent copyFor(Object newSource, EventTarget newTarget)
Description copied from class: `Event`
Creates and returns a copy of this event with the specified event source and target. If the source or target is set to `null`, it is replaced by the `NULL_SOURCE_TARGET` value.

Overrides:
  `copyFor` in class `Event`
Parameters:
  `newSource` - the new source of the copied event
  `newTarget` - the new target of the copied event
Returns:
  the event copy with the new source and target

### getEventType

public EventType<MediaErrorEvent> getEventType()
Description copied from class: `Event`
Gets the event type of this event. Objects of the same `Event` class can have different event types. These event types further specify what kind of event occurred.

Overrides:
  `getEventType` in class `Event`
Returns:
  the event type